#!/usr/bin/perl
#!c:\Perl\bin\perl.exe

# PL0006.pm	
# HTML_DECODE_VARS - Formular-Werte lesen
# (Linux / Windows)

package EIGEN::Form::PL0006;

use strict;
use vars qw($VERSION @ISA @EXPORT @EXPORT_OK);

require Exporter;

@ISA       = qw(Exporter AuoLoader);
@EXPORT    = qw();
@EXPORT_OK = qw(HTML_DECODE_VARS);
$VERSION   = '1.0.0';


##################################################################
# Voreinstellungen:
##################################################################


##################################################################
# Subroutinen:
##################################################################

##################################################################
# HTML_DECODE_VARS
#
# Liest Formular-Werte, das per get oder post uebertragen wurde
#
# output:\%fields
#
##################################################################
sub HTML_DECODE_VARS
{
 my (@pairs,$tmp,$item,$key,$content,$it,$temp,%fields);
 if ($ENV{'REQUEST_METHOD'} eq 'GET')
 {
# Name-Wert Paare aufspalten
  @pairs = split(/&/, $ENV{'QUERY_STRING'});
 }
 elsif ($ENV{'REQUEST_METHOD'} eq 'POST')
 {
  read(STDIN,$temp,$ENV{'CONTENT_LENGTH'});
  @pairs=split(/&/,$temp);
 }
 foreach $item(@pairs)
 {
  ($key,$content)=split(/=/,$item,2);
  $content=~tr/+/ /;
  $content=~s/%(..)/pack("c",hex($1))/ge;
  $content=~s/\t/ /g;
  $fields{$key}=$content;
 }
 return(\%fields);
}
 

1;
__END__

=head1 NAME

=head1 SYNOPSIS

=head1 DESCRIPTION

=head1 AUTHOR

=head1SEE ALSO

=cut